% a short list of handy predefined commands


%%%%%%%%%%%%%%%%
%%shorts for regularly used words

\newcommand{\TROPOMI}{TROPOMI}     %%%Used also in the tropsw.cls, thus leave!
\newcommand{\trop}{TROPOMI\xspace}
\newcommand{\sw}{OMI\xspace}
\newcommand{\meas}{measurement\xspace}
\newcommand{\meass}{measurements\xspace}
\newcommand{\ocal}{on-ground calibration\xspace}
\newcommand{\ical}{in-flight calibration\xspace}
\newcommand{\emin}{$e^{-}$\xspace}    %electrons
\newcommand{\OCAL}{on-ground calibration\xspace}
\newcommand{\ICAL}{in-flight calibration\xspace}
\newcommand{\proc}{L01b~processor\xspace}
\newcommand{\degrees}{\ensuremath{^\circ}\xspace}
\newcommand{\noo}{NO$_2$\xspace}
\newcommand{\colt}{Collection 3\xspace}
\newcommand{\colf}{Collection 4\xspace}
\newcommand{\icid}{ICID\xspace}

%%%Usage of Postscript ZipfDingbats fonts: shorts




%%%%%%%%%%%%%%
%%markers, remarks, margin notes...

%% \marker{this text will have a yellow background}
\newcommand{\marker}[1]{\colorbox{yellow}{\rule{0pt}{6pt}\smash{#1}}}

%% \redtext{turns text red and in brackets []}
\newcommand{\redtext}[1]{\textcolor{red}{[\textrm{#1}]}}

%%\added[author]{green additions and changes to text}
\newcommand{\added}[2][]{\textcolor[rgb]{0,0.5,0}{#1: #2}} 



%remark in the margin:
\newcounter{rmk}
\setcounter{rmk}{0}
\setlength{\marginparwidth}{2cm}
\let\oldmarginpar\marginpar
\renewcommand\marginpar[1]{\-\oldmarginpar[\raggedleft\footnotesize #1] {\raggedright\footnotesize #1 }}
\newcommand{\remark}[1]{\stepcounter{rmk}($\Rightarrow$\arabic{rmk})\marginpar{\arabic{rmk}\,\textcolor{red}{#1}}}

%Use as  \remark{this is my remark}

% typesetting of units - $120\unit{m}$ or in text \unit{kg/m^2}
\DeclareMathAlphabet{\mathsf}{OT1}{\sfdefault}{m}{n}
\newcommand{\unit}[1]{\ensuremath{\, \mathsf{#1}}}

%%% ENUMERATE environment with counter reset at start and end
\newenvironment{numerate}
{\setcounter{enumi}{0}
\begin{enumerate}}
{\end{enumerate}\setcounter{enumi}{0}}


%%% ENUMERATE environment without indentation of the text:

%%% If you want a bold header with your numbered item
\newcommand{\itemhn}[1]{\item {\bfseries#1 \ }}

%% only the first line of each item is indented
\newenvironment{wideenumerate}
{\setcounter{enumi}{0}
\begin{enumerate}[label=\textbf{\arabic*}., ref=\arabic*, align=left, leftmargin=0pt, labelindent=\parindent, listparindent=\parindent, labelwidth=0pt, itemindent=!]}
{\end{enumerate}\setcounter{enumi}{0}}

%%% For algorithm step description use this (adds "`Step"' before the number and also for the reference), indentation only in first line of item
\newenvironment{stepenumerate}
{\setcounter{enumi}{0}
\begin{enumerate}[label=\textbf{Step\,\arabic*}., ref=Step\,\arabic*, align=left, leftmargin=0pt, labelindent=\parindent, listparindent=\parindent, labelwidth=0pt, itemindent=!]}
{\end{enumerate}\setcounter{enumi}{0}}

%% no indentation at all for stepenumerate
\newenvironment{noindentstepenumerate}
{\setcounter{enumi}{0}
\begin{enumerate}[label=\textbf{Step\,\arabic*}., ref=Step\,\arabic*, align=left, leftmargin=0pt, labelindent=0pt, listparindent=\parindent, labelwidth=0pt, itemindent=!]}
{\end{enumerate}\setcounter{enumi}{0}}

%% no indentation at all
\newenvironment{noindentenumerate}
{\setcounter{enumi}{0}
\begin{enumerate}[label=\textbf{\arabic*}., ref=\arabic*, align=left, leftmargin=0pt, labelindent=0pt, listparindent=\parindent, labelwidth=0pt, itemindent=!]}
{\end{enumerate}\setcounter{enumi}{0}}


%%% ITEMIZE envrionment without indentation of the text: 

%%% If you want a bold header with your unnumbered item
\newcommand{\itemh}[1]{\item {\bfseries#1 \ }}

%%indentation only in first line of item
\newenvironment{wideitemize}
{\begin{itemize}[label=\textbullet, align=left, leftmargin=0pt, labelindent=\parindent, listparindent=\parindent, labelwidth=0pt, itemindent=!]}
{\end{itemize}}

%% no indentation at all
\newenvironment{noindentitemize}
{\begin{itemize}[label=\textbullet, align=left, leftmargin=0pt, labelindent=0pt, listparindent=\parindent, labelwidth=0pt, itemindent=!]}
{\end{itemize}}



%shorts for commands in mathmode
\newcommand{\mr}[1]{\mathrm{#1}}
\newcommand{\mb}[1]{\mathbf{#1}}

\newcommand{\ignore}[1]{}


%short for a table as used in ATBD

\newcommand{\unittableentry}[3]{#1 & #2 & #3 \\}

\newenvironment{unittable}
 {\medskip
  \hspace{0pt}\\
  \centering
  \begin{tabular*}{1.0\textwidth}{@{\extracolsep{\fill}} c p{0.65\textwidth}c}
    \hline
    \textbf{Parameter} & \textbf{Description}  & \textbf{Units} \\ \hline}
{\hline\end{tabular*}\medskip}


\newcommand{\configtableentry}[2]{#1 & #2 \\}

%short for the configuration table (processor and OCAL framework)
\newenvironment{configurationtable}{
  \begin{table}[htbp]
    \centering
      \begin{tabular*}{1\textwidth}{>{\raggedright\arraybackslash}p{4cm}>{\raggedright\arraybackslash}p{11cm}}
      \addlinespace
      \toprule
      \textbf{Configuration item} & \textbf{Value} \\
      \midrule
}
{
      \textbf{L01b path} & v0.10.0.15481 Build 201603101717\\
      \bottomrule
      \end{tabular*}
	    \caption[L01b~processor and \ocal framework version.]{L01b~processor and \ocal framework version.}
    \label{table:configurationtable}
  \end{table}
}




%% Detector pixel and other math expressions.
\newcommand{\texp}{\ensuremath{t_{\mathrm{exp}}}\xspace}
\newcommand{\detpix}{\ensuremath{\mb{x}_{\mathrm{det}}}\xspace}
\newcommand{\detpixfail}{\ensuremath{\mathbb{X}_{\mathrm{det},\mathrm{fail},b}}\xspace}
\newcommand{\detpixfailapriori}{\ensuremath{\mathbb{X}_{\mathrm{det},\mathrm{fail},\mathrm{apriori},b}}\xspace}
\newcommand{\detpixbad}{\ensuremath{\mathbb{X}_{\mathrm{det,bad},b}}\xspace}
\newcommand{\detpixdead}{\ensuremath{\mathbb{X}_{\mathrm{det,dead},b}}\xspace}
\newcommand{\detrow}{\ensuremath{r_{\mathrm{det}}}\xspace}
\newcommand{\detcol}{\ensuremath{c_{\mathrm{det}}}\xspace}
\newcommand{\imgpix}{\ensuremath{\mathbf{x}_{\mathrm{img}}}\xspace}
\newcommand{\imgrow}{\ensuremath{r_{\mathrm{img}}}\xspace}
\newcommand{\imgcol}{\ensuremath{c_{\mathrm{img}}}\xspace}
\newcommand{\Si}{\ensuremath{S_{\mathrm{i}}}\xspace}
\newcommand{\So}{\ensuremath{S_{\mathrm{o}}}\xspace}
\newcommand{\Sstray}{\ensuremath{S_{\mathrm{stray}}}\xspace}
\newcommand{\sigmai}{\ensuremath{\sigma_{\mathrm{i}}}\xspace}
\newcommand{\sigmao}{\ensuremath{\sigma_{\mathrm{o}}}\xspace}
\newcommand{\epsiloni}{\ensuremath{\epsilon_{\mathrm{i}}}\xspace}
\newcommand{\epsilono}{\ensuremath{\epsilon_{\mathrm{o}}}\xspace}
\newcommand{\averagevalueattexpmax}{\ensuremath{\overline{S_{t_{\mathrm{exp,max}},b}}}\xspace}
\newcommand{\medianneighbouringvalueattexpmax}{\ensuremath{M_{t_{\mathrm{exp,max}},b}}\xspace}
\newcommand{\nco}{\ensuremath{N_\mathrm{coadd}}\xspace}
